Loading...
Searching...
No Matches
BALL::PartialChargeProcessor Class Reference

`#include <BALL/QSAR/partialChargeProcessor.h>`

Inheritance diagram for BALL::PartialChargeProcessor:

## Public Member Functions

Constructors and Destructors
| PartialChargeProcessor ()
| PartialChargeProcessor (const PartialChargeProcessor &pc)
virtual | ~PartialChargeProcessor ()
Assignment
PartialChargeProcessor & | operator= (const PartialChargeProcessor &pc)
Accessors
void | calculatePEOE (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Processor-realted methods

virtual Processor::Result | operator() (AtomContainer &ac)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Generic . \

Definition at line 23 of file partialChargeProcessor.h.

## Constructor & Destructor Documentation

## PartialChargeProcessor() [1/2]

BALL::PartialChargeProcessor::PartialChargeProcessor | ( |  | ) |

Default constructor

## PartialChargeProcessor() [2/2]

BALL::PartialChargeProcessor::PartialChargeProcessor | ( | const PartialChargeProcessor & | pc | ) |

Copy contructor

## ~PartialChargeProcessor()

virtual BALL::PartialChargeProcessor::~PartialChargeProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## calculatePEOE()

void BALL::PartialChargeProcessor::calculatePEOE | ( | AtomContainer & | ac | ) |

Methods to calculate the PEOE charges of Gasteiger. This method can be called explicitely, not as processor.

## operator()()

virtual Processor::Result BALL::PartialChargeProcessor::operator() | ( | AtomContainer & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

PartialChargeProcessor & BALL::PartialChargeProcessor::operator= | ( | const PartialChargeProcessor & | pc | ) |

Assignment operator

## setDataFolder()

void BALL::PartialChargeProcessor::setDataFolder | ( | const char * | folder | ) |

allows to set the data-folder without using BALL_DATA_PATH enviroment variable, which is useful for standalone applications